// Завдання

// Оголосіть дві змінні: admin та name. Встановіть ваше ім'я в якості значення змінної name. Скопіюйте це значення в змінну admin і виведіть його в консоль.
 
// Оголосити змінну days і ініціалізувати її числом від 1 до 10. Перетворіть це число на кількість секунд і виведіть на консоль.

// Запитайте у користувача якесь значення і виведіть його в консоль.



let admin;
const name = "Serhiy"; 
admin = name; //vscode shows name deprecated because it's a global variable and a 'name' title is reserved 
console.log(admin);

let days = Math.ceil(Math.random() * 10);
console.log(days*24*60*60); //24hours*60min*60sec
console.log(days*24*60*60 + ' seconds'); //а якщо у такій інтерпритації завнаддя, виникає автоматичне перетворення типів та конкатинація в рядок

let someValue = prompt();
console.log(someValue);



// Теоретичні питання
// 
// Як можна оголосити змінну у Javascript?
// - const (якщо є впевненность у тому, що не буде потрібно міняти value або type змінної)
// - let (якщо не можна використати const, вміст let можна змінувати)
// - var (для підтримки старих проектів або браузерів, var існує не тільки як локальна змінна але й як глобальна, це може провокувати помилки)
// - змінній можна присвоїти значення або оголосити без значення

// У чому різниця між функцією prompt та функцією confirm?
// - в форму prompt користувач вводить данні самостійно, а confirm - це підтвердження Ok або Сancel

// Що таке неявне перетворення типів? Наведіть один приклад.
// - неявне перетворення типів це автоматичне перетворення, виникаюче під час виконання коду, наприклад:
// console.log(10*'10'); //number і string - але результаті буде число 100 а не конкат 1010, ніби рядок '10' був теж number
// console.log(typeof(10*'10')) // перевірка, що результат number
